import Image from "next/image";
import { useEffect, useState } from "react";
import axios from "axios";

export default function FooterText(props) {
  const [data , setData] = useState();

  const getPageData = async () => {
    try {
      await axios.get(`/api/page/get`).then((result) => {
        console.log("result", result);
        console.log("result.data?.data", result.data?.data);
        setData(result.data?.data);
       
      });
    } catch (err) {
      console.log(err);
    }
  };
useEffect(()=>{
  getPageData();
},[])
  return (
    <>
      <section className="about__area  pb-80 about-orange-color ">
        <div className="container">
          <div className="row">
       
            {data?.map((item)=>(
               <div className="col-xxl-8 col-xl-8 col-lg-8" key={item._id}>
              <div className="about__wrapper-4 ">             
                <div className="page-text ">
                  <div dangerouslySetInnerHTML={{ __html: item.text }} />
                </div>
              </div>
            </div>
            ))}
           
          </div>
        </div>
      </section>
    </>
  );
}
