import User from "../../../model/user";
import dbConnect from "../../../utils/dbConnect";

export default async function handler(req, res) {
   if (req.method === "GET") {
    try {
      console.log("req.method", req.method, req.query);
      await dbConnect();
      let admins = await User.find({userRole : "admin"});
       res.status(200).json({ success: true, data: admins });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  } 
   
}