import Member from "../../../model/member";
import dbConnect from "../../../utils/dbConnect";
import nc from "next-connect";
import { uploadMember } from "@/middlewares/uploadMiddleware";

export const config = {
  api: {
    bodyParser: false,
  },
};

const handler = nc()
  .use(uploadMember.single("fileName"))

  .put(async (req, res) => {
    try {
      let body = req.body;
      let file = req.file;

       console.log("body", body);
      
      await dbConnect();
      let result;
      if (file) {
        result = Member.findByIdAndUpdate(body.id, {
          name: body.name,
          rowNumber: body.rowNumber,
          education: body.education,
          description: body.description,
          fileName: file.filename,
        },(err, doc, ress)=>{});
      } else {
        result = Member.findByIdAndUpdate(body.id, {
          name: body.name,
          rowNumber: body.rowNumber,
          education: body.education,
          description: body.description,
        },(err, doc, ress)=>{});
      }

      if (!result) {
        console.log(error);
        return res.status(401).json({
          message: "ERROR",
          success: false,
        });
      }
 
      return res.status(200).json({
        message: "success",
        success: true,
      });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  });

export default handler;
