import Page from "../../../model/page";
import dbConnect from "../../../utils/dbConnect";

export default async function handler(req, res) {
  console.log("req.method", req.method);
  if (req.method === "POST") {
    try {
      await dbConnect();
      let page = await Page.findById(req.body.id);

      console.log("----------", req.body, page);
      res.status(200).json({ success: true, data: page });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  }
}
