import Member from "../../../model/member";
import dbConnect from "../../../utils/dbConnect";
import nc from "next-connect";
import { uploadMember } from "@/middlewares/uploadMiddleware";

export const config = {
  api: {
    bodyParser: false,
  },
};

const handler = nc()
  .use(uploadMember.single("fileName"))
  .post(async (req, res) => {
    try {
      let body = req.body;
      console.log('bodybodybodybodybody', body)
      let file = req.file;
       await dbConnect();
      const newMember = new Member({
        mode: body.mode+"",
        name: body.name,
        education: body.education,
        fileName: file.filename,
        rowNumber: body.rowNumber,
        description: body.description,
      });
      console.log("newmember", newMember);
      newMember
        .save()
        .then((result) => {
          console.log("myresult", result);
          return res.status(200).json({
            message: "success",
            success: true,
          });
        })
        .catch((error) => {
          console.log(error);
          return res.status(401).json({
            message: "ERROR",
            success: false,
          });
        });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  });

export default handler;
